/**
 * 文件上传组件
 * 支持点击上传、拖拽上传、多文件上传、文件类型限制、大小限制等功能
 */
import { PropType } from '@vue/composition-api';
import type { UploadFile } from '../types';
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    fileInput: import("@vue/composition-api").Ref<HTMLInputElement | null>;
    fileList: import("@vue/composition-api").Ref<{
        uid: string;
        name: string;
        size: number;
        type: string;
        status: import("../types").UploadStatus;
        percentage?: number | undefined;
        response?: any;
        url?: string | undefined;
        error?: any;
    }[]>;
    handleClick: () => void;
    handleChange: (event: Event) => void;
    handleDrop: (event: DragEvent) => void;
    handleDragover: () => void;
    handleDragleave: () => void;
    removeFile: (file: UploadFile) => void;
    formatSize: (bytes: number) => string;
    submit: () => void;
    isDragging: import("@vue/composition-api").Ref<boolean>;
}> & import("@vue/composition-api").Data, {}, {}, {
    action: {
        type: StringConstructor;
        required: true;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    accept: {
        type: StringConstructor;
        default: string;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    headers: {
        type: PropType<Record<string, string>>;
        default: () => {};
    };
    data: {
        type: PropType<Record<string, any>>;
        default: () => {};
    };
    autoUpload: {
        type: BooleanConstructor;
        default: boolean;
    };
    fileList: {
        type: PropType<UploadFile[]>;
        default: () => never[];
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    drag: {
        type: BooleanConstructor;
        default: boolean;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    action: {
        type: StringConstructor;
        required: true;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    accept: {
        type: StringConstructor;
        default: string;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    headers: {
        type: PropType<Record<string, string>>;
        default: () => {};
    };
    data: {
        type: PropType<Record<string, any>>;
        default: () => {};
    };
    autoUpload: {
        type: BooleanConstructor;
        default: boolean;
    };
    fileList: {
        type: PropType<UploadFile[]>;
        default: () => never[];
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    drag: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    data: Record<string, any>;
    action: string;
    multiple: boolean;
    accept: string;
    maxSize: number;
    maxCount: number;
    headers: Record<string, string>;
    autoUpload: boolean;
    fileList: UploadFile[];
    disabled: boolean;
    drag: boolean;
} & {} & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    fileInput: import("@vue/composition-api").Ref<HTMLInputElement | null>;
    fileList: import("@vue/composition-api").Ref<{
        uid: string;
        name: string;
        size: number;
        type: string;
        status: import("../types").UploadStatus;
        percentage?: number | undefined;
        response?: any;
        url?: string | undefined;
        error?: any;
    }[]>;
    handleClick: () => void;
    handleChange: (event: Event) => void;
    handleDrop: (event: DragEvent) => void;
    handleDragover: () => void;
    handleDragleave: () => void;
    removeFile: (file: UploadFile) => void;
    formatSize: (bytes: number) => string;
    submit: () => void;
    isDragging: import("@vue/composition-api").Ref<boolean>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, string[], {
    data: Record<string, any>;
    action: string;
    multiple: boolean;
    accept: string;
    maxSize: number;
    maxCount: number;
    headers: Record<string, string>;
    autoUpload: boolean;
    fileList: UploadFile[];
    disabled: boolean;
    drag: boolean;
} & {} & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {
    data: Record<string, any>;
    multiple: boolean;
    accept: string;
    maxSize: number;
    maxCount: number;
    headers: Record<string, string>;
    autoUpload: boolean;
    fileList: UploadFile[];
    disabled: boolean;
    drag: boolean;
}, true>);
export default _default;
